This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471987 - [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by signal 6
[abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by signal 6
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c4462c5f37aabc9da91dd7b4b43...
:
: 1480603 1480641 1484013 1486932 1487824 1491719 1495319 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 17:06 EDT by maarten
Modified: 2017-10-10 04:46 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.05 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: core_backtrace (35.09 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: dso_list (6.77 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: environ (1.65 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: maps (138.24 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: open_fds (8.80 KB, text/plain)
2017-07-17 17:06 EDT, maarten
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-17 17:07 EDT, maarten
no flags Details
File: var_log_messages (879 bytes, text/plain)
2017-07-17 17:07 EDT, maarten
no flags Details

  None (edit)
Description maarten 2017-07-17 17:06:38 EDT
Description of problem:
I was developing a Python application using PyQt5 in PyCharm (riddled with bugs :D)

When launching the app, the Gnome shell crashed.
This crash happened only once. First occurrence.

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=ebf182228bb846c9aa3139d112408896;i=15a55;b=5b280c2cdaf341e189935b627a1ab316;m=d23c1d88b;t=5548985ebff82;x=656c5facfff14e81
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1312751
Comment 1 maarten 2017-07-17 17:06:44 EDT
Created attachment 1300100 [details]
File: backtrace
Comment 2 maarten 2017-07-17 17:06:46 EDT
Created attachment 1300101 [details]
File: cgroup
Comment 3 maarten 2017-07-17 17:06:48 EDT
Created attachment 1300102 [details]
File: core_backtrace
Comment 4 maarten 2017-07-17 17:06:49 EDT
Created attachment 1300103 [details]
File: cpuinfo
Comment 5 maarten 2017-07-17 17:06:50 EDT
Created attachment 1300104 [details]
File: dso_list
Comment 6 maarten 2017-07-17 17:06:52 EDT
Created attachment 1300105 [details]
File: environ
Comment 7 maarten 2017-07-17 17:06:54 EDT
Created attachment 1300106 [details]
File: limits
Comment 8 maarten 2017-07-17 17:06:56 EDT
Created attachment 1300107 [details]
File: maps
Comment 9 maarten 2017-07-17 17:06:58 EDT
Created attachment 1300108 [details]
File: open_fds
Comment 10 maarten 2017-07-17 17:07:01 EDT
Created attachment 1300109 [details]
File: proc_pid_status
Comment 11 maarten 2017-07-17 17:07:02 EDT
Created attachment 1300110 [details]
File: var_log_messages
Comment 12 Mark Drobnak 2017-07-22 18:58:18 EDT
Similar problem has been detected:

Opened WebStorm and was thrown to the GNOME login screen. WebStorm had been opened successfully immediately prior to the crash. Among the other open programs were Files, Chrome, and JetBrains ToolBox.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=fe286b0a0cf84c2c91b081348ef8724a;i=6389d;b=b8f960e0be4740a9aae457c674b273ef;m=cb58f1c8;t=554eefd10ae02;x=a79a42f274414d2e
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 maarten 2017-07-28 20:39:37 EDT
Similar problem has been detected:

I was developing a pyqt5 application in PyCharm.
I just clicked on the run button and immediately resized the main window to the left half of my monitor.
This was not the first run of my application and cannot be reproduced.


reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=ebf182228bb846c9aa3139d112408896;i=a26b0;b=f3e3d26f8f4d45b291c591a4af5953a1;m=147c04fd4d;t=55569d99fcc99;x=f71df82095bd43b9
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 maarten 2017-07-28 21:07:33 EDT
Similar problem has been detected:

Still developing my pyqt5 application.

I can reproduce this crash by launching my app and immediately resize the window
to the left half of the window by moving it to the left border of the screen.

On startup, my app accesses the web and blocks the gui loop. It's a work in progress.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=ebf182228bb846c9aa3139d112408896;i=a3bc3;b=f3e3d26f8f4d45b291c591a4af5953a1;m=14ed8c506d;t=5556a4b271fb9;x=f90c09cdac82dd70
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Richard James 2017-08-11 09:04:56 EDT
*** Bug 1480603 has been marked as a duplicate of this bug. ***
Comment 16 breitenstein 2017-08-11 10:47:41 EDT
*** Bug 1480641 has been marked as a duplicate of this bug. ***
Comment 17 Dima Ryazanov 2017-08-20 16:37:15 EDT
Similar problem has been detected:

I was resuming a WinXP VM in VirtualBox. As soon as it was done - presumably, about to show a new window - Gnome shell crashed.

I've done this several times before, but this is the first time I got a crash.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=9b397d177151466ab5c377b0289c5bad;i=149cf;b=f442f00dfdcb4030af1425842db87eae;m=3285ec1dc;t=5573536b0a35e;x=c465258b107dab21
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 jniederm 2017-08-21 15:23:00 EDT
Similar problem has been detected:

Maximizing window of InteliJ IDEA 2017.2.2 on secondary screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=2a73e490eeae4fba9f96671e2eed2a9d;i=12bee;b=75b8d638a0964f6694d5c059b83b07c0;m=67a1bc3e5;t=557484a61ea59;x=66dd240492955677
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Nicholas Malacarne 2017-08-22 09:09:28 EDT
*** Bug 1484013 has been marked as a duplicate of this bug. ***
Comment 20 Elliot 2017-08-30 16:04:55 EDT
*** Bug 1486932 has been marked as a duplicate of this bug. ***
Comment 21 Alexis Engelke 2017-09-02 05:19:45 EDT
*** Bug 1487824 has been marked as a duplicate of this bug. ***
Comment 22 Louis-Philippe Querel 2017-09-14 09:26:50 EDT
*** Bug 1491719 has been marked as a duplicate of this bug. ***
Comment 23 oliva5 2017-09-25 15:38:39 EDT
*** Bug 1495319 has been marked as a duplicate of this bug. ***
Comment 24 Laurent Boualit 2017-10-10 02:52:02 EDT
Similar problem has been detected:

I just closed Planner (https://wiki.gnome.org/action/show/Apps/Planner?action=show&redirect=Planner). It happened several times.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=6944ecdb56ea497892b11e3f0e6d055b;i=5f80;b=07b578dfe77c4ab2a01cadd033bcb48b;m=55985471;t=55b2b8459c8db;x=2f52f364b5215665
kernel:         4.13.4-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 Piotr Rogowski 2017-10-10 04:46:26 EDT
Similar problem has been detected:

I was moving progress dialog

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
journald_cursor: s=1b74d235af3f49f5a79e3ac4f1eb07bd;i=412d;b=352bb6796c5a4afdb0d1964dc5d4d855;m=fc8cfe303;t=55b2d28dd029f;x=65e5d87912fb1734
kernel:         4.13.4-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.